Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Attributes | List of all members
Halide::Internal::IRMatcher::Wild< i > Struct Template Reference

`#include <IRMatch.h>`

## Classes
struct | pattern_tag

## Public Member Functions
template<uint32_t bound>
HALIDE_ALWAYS_INLINE bool | match (const BaseExprNode &e, MatcherState &state) const noexcept
HALIDE_ALWAYS_INLINE Expr | make (MatcherState &state, halide_type_t type_hint) const

## Static Public Attributes
static constexpr uint32_t | binds = 1 << (i + 16)
static constexpr IRNodeType | min_node_type = IRNodeType::IntImm
static constexpr IRNodeType | max_node_type = StrongestExprNodeType
static constexpr bool | canonical = true
static constexpr bool | foldable = false

## Detailed Description

template<int i>
struct Halide::Internal::IRMatcher::Wild< i >

Definition at line 454 of file IRMatch.h.

## Member Function Documentation

## ◆ match()

template<int i>
template<uint32_t bound>

HALIDE_ALWAYS_INLINE bool Halide::Internal::IRMatcher::Wild< i >::match | ( | const BaseExprNode & | e,
|  | MatcherState & | state
| ) |  | const
| inline noexcept

Definition at line 464 of file IRMatch.h.

References Halide::Internal::IRMatcher::Wild< i >::binds, Halide::Internal::IRMatcher::cast(), and Halide::Internal::equal().

## ◆ make()

template<int i>

HALIDE_ALWAYS_INLINE Expr Halide::Internal::IRMatcher::Wild< i >::make | ( | MatcherState & | state,
|  | halide_type_t | type_hint
| ) |  | const
| inline

Definition at line 473 of file IRMatch.h.

References Halide::Internal::IRMatcher::cast(), and Halide::Internal::IRMatcher::MatcherState::get_binding().

## Member Data Documentation

## ◆ binds

template<int i>

constexpr uint32_t Halide::Internal::IRMatcher::Wild< i >::binds = 1 << (i + 16)
| static constexpr

Definition at line 457 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::Wild< i >::match().

## ◆ min_node_type

template<int i>

constexpr IRNodeType Halide::Internal::IRMatcher::Wild< i >::min_node_type = IRNodeType::IntImm
| static constexpr

Definition at line 459 of file IRMatch.h.

## ◆ max_node_type

template<int i>

constexpr IRNodeType Halide::Internal::IRMatcher::Wild< i >::max_node_type = StrongestExprNodeType
| static constexpr

Definition at line 460 of file IRMatch.h.

## ◆ canonical

template<int i>

constexpr bool Halide::Internal::IRMatcher::Wild< i >::canonical = true
| static constexpr

Definition at line 461 of file IRMatch.h.

## ◆ foldable

template<int i>

constexpr bool Halide::Internal::IRMatcher::Wild< i >::foldable = false
| static constexpr

Definition at line 477 of file IRMatch.h.

The documentation for this struct was generated from the following file:

- src/IRMatch.h